Subject: Re: dual head r128

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 17 Oct 2000 19:17:48 +0200

>> Some display cards (like voodoo) AFAIK, need us to tweak with the VGA IO
>> registers. The interest in having something like ioportremap or similar
>> is that we can have the platform specific code return a different base
>> for VGA than other legacy devices, thus allowing us to have, for example,
>> such a VGA card in the AGP slot and a legacy serial card in the PCI slots.
>                                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>Do these exist? I'm aware of legacy serial cards for ISA slots only.
>AFAIK all PCI serial cards use PCI configuration and are handled
separately by
>serial.c.

Well, maybe they don't... this was an example provided by someone else. I
personally don't own anything that decodes legacy addresses anyway.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/